| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainGroup::RayResult Struct Reference

Result from a terrain ray intersection with the terrain group. More...

`#include <OgreTerrainGroup.h>`

## Public Member Functions
| RayResult (bool _hit, Terrain *_terrain, const Vector3 &_pos)

## Public Attributes
bool | hit
| Whether an intersection occurred. More...
Vector3 | position
| Position at which the intersection occurred. More...
Terrain * | terrain
| Which terrain instance was hit, if any. More...

## Detailed Description

Result from a terrain ray intersection with the terrain group.

## Constructor & Destructor Documentation

## ◆ RayResult()

Ogre::TerrainGroup::RayResult::RayResult | ( | bool | _hit,
|  | Terrain * | _terrain,
|  | const Vector3 & | _pos
| ) |  |
| inline

## Member Data Documentation

## ◆ hit

bool Ogre::TerrainGroup::RayResult::hit

Whether an intersection occurred.

## ◆ terrain

Terrain* Ogre::TerrainGroup::RayResult::terrain

Which terrain instance was hit, if any.

## ◆ position

Vector3 Ogre::TerrainGroup::RayResult::position

Position at which the intersection occurred.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h